"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var build_1 = tslib_1.__importDefault(require("./bin/build"));
var clean_1 = tslib_1.__importDefault(require("./bin/clean"));
var explore_bundle_1 = tslib_1.__importDefault(require("./bin/explore-bundle"));
var start_1 = tslib_1.__importDefault(require("./bin/start"));
var stats_1 = tslib_1.__importDefault(require("./bin/stats"));
var watch_1 = tslib_1.__importDefault(require("./bin/watch"));
var buildModule = tslib_1.__importStar(require("./build"));
var configModule = tslib_1.__importStar(require("./config"));
var runtimeServerModule = tslib_1.__importStar(require("./runtime/server"));
var universalModule = tslib_1.__importStar(require("./runtime/universal"));
var serverModule = tslib_1.__importStar(require("./server"));
var statsModule = tslib_1.__importStar(require("./stats"));
exports.bin = {
    build: build_1.default,
    clean: clean_1.default,
    exploreBundle: explore_bundle_1.default,
    start: start_1.default,
    stats: stats_1.default,
    watch: watch_1.default,
};
exports.build = buildModule;
exports.config = configModule;
exports.runtimeServer = runtimeServerModule;
exports.universal = universalModule;
exports.server = serverModule;
exports.stats = statsModule;
var clean_2 = require("./clean");
exports.clean = clean_2.default;
//# sourceMappingURL=index.js.map