/// <reference types="node" />
import express from 'express';
import { Server } from 'http';
import { BuildConfig } from 'lib/runtime/server';
import { Logger } from 'typescript-log';
export interface WatchServer {
    app: express.Express;
    server: Server;
    close: () => Promise<any>;
}
declare const watchServer: (log: Logger, buildConfig: BuildConfig) => Promise<WatchServer>;
export default watchServer;
