import { BuildConfig } from 'lib/runtime/server';
import { Logger } from 'typescript-log';
export interface BuildMetrics {
    [key: string]: string;
}
export declare const measureBuildStats: (log: Logger, buildConfig: BuildConfig, verbose?: boolean | undefined) => Promise<BuildMetrics>;
export declare const writeBuildStats: (log: Logger, buildConfig: BuildConfig, metrics: BuildMetrics) => Promise<void>;
export declare const measureAndWriteBuildStats: (log: Logger, buildConfig: BuildConfig, verbose?: boolean) => Promise<void>;
