import { CreateWebpackConfig } from '../runtime/server';
/**
 * Base webpack config for the client that is used both in development and production
 * - Compile SCSS to CSS and extract into external assets
 * - Create assets.json that maps the created assets to their locations
 * - Create vendor chunk with everything from node_modules except for SWM modules
 */
declare const clientBaseConfig: CreateWebpackConfig;
export default clientBaseConfig;
