import { BuildConfig } from 'lib/runtime/server';
import webpack from 'webpack';
/**
 * Base Webpack config for the server that is used in both development and production
 * - Ignore SCSS files
 * - treat everything in node_modules as an external dependency
 * - add source-map-support to every file
 */
declare const serverBaseConfig: (options: {
    buildConfig: BuildConfig;
}) => webpack.Configuration;
export default serverBaseConfig;
