/// <reference types="lighthouse" />
import { BuildConfig } from 'lib/runtime/server';
import { Logger } from 'typescript-log';
import { BuildMetrics } from './';
export declare const runLighthouse: (log: Logger, url: string) => Promise<Lighthouse.LighthouseResults | undefined>;
export declare const lighthouseStats: (log: Logger, buildConfig: BuildConfig, verbose?: boolean) => Promise<BuildMetrics>;
