var _this = this;
import * as tslib_1 from "tslib";
import { delay } from './time';
export var average = function (nums) { return nums.reduce(function (prev, cur) { return prev + cur; }, 0) / nums.length; };
export var getSequenceAverage = function (log, fn, times) {
    if (times === void 0) { times = 5; }
    return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var results, i, nextResult, err_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    results = [];
                    i = 0;
                    _a.label = 1;
                case 1:
                    if (!(i < times)) return [3 /*break*/, 8];
                    _a.label = 2;
                case 2:
                    _a.trys.push([2, 4, , 5]);
                    return [4 /*yield*/, fn()];
                case 3:
                    nextResult = _a.sent();
                    results.push(nextResult);
                    return [3 /*break*/, 5];
                case 4:
                    err_1 = _a.sent();
                    log.error({ err: err_1 }, 'getSequenceAverage error: ');
                    return [3 /*break*/, 5];
                case 5: return [4 /*yield*/, delay(500)];
                case 6:
                    _a.sent();
                    _a.label = 7;
                case 7:
                    i++;
                    return [3 /*break*/, 1];
                case 8: return [2 /*return*/, average(results)];
            }
        });
    });
};
//# sourceMappingURL=math.js.map