"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("../runtime/util/fs");
exports.webpackHooks = function (log, root) {
    return fs_1.getCustomConfigFile(log, root, 'config/webpack-hooks', {});
};
exports.getHook = function (hook, options) {
    if (hook === undefined) {
        return {};
    }
    if (typeof hook === 'function') {
        return hook(options);
    }
    return hook;
};
exports.default = exports.webpackHooks;
//# sourceMappingURL=webpack-hooks.js.map