"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_merge_1 = tslib_1.__importDefault(require("webpack-merge"));
var webpack_hooks_1 = tslib_1.__importStar(require("./webpack-hooks"));
var webpack_base_1 = tslib_1.__importDefault(require("./webpack.base"));
var webpack_prod_1 = tslib_1.__importDefault(require("./webpack.prod"));
var webpack_server_1 = tslib_1.__importDefault(require("./webpack.server"));
/** Webpack config for the server in production */
var config = function (options) {
    var webpackHooks = webpack_hooks_1.default(options.log, options.buildConfig.BASE);
    return webpack_merge_1.default(webpack_base_1.default(options), webpack_hooks_1.getHook(webpackHooks.base, options), webpack_server_1.default(options), webpack_hooks_1.getHook(webpackHooks.server, options), webpack_prod_1.default(options), webpack_hooks_1.getHook(webpackHooks.prod, options), webpack_hooks_1.getHook(webpackHooks.serverProd, options));
};
exports.default = config;
//# sourceMappingURL=webpack.server.prod.js.map