import doClean from '../clean';
var clean = function (log, buildConfig) {
    var paths = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        paths[_i - 2] = arguments[_i];
    }
    var OUTPUT = buildConfig.OUTPUT;
    return doClean(log, [
        OUTPUT,
        '{client,common,server}/**/*.{js,map}',
        'assets.json',
        'build-stats.csv'
    ].concat(paths));
};
export default clean;
//# sourceMappingURL=clean.js.map