import merge from 'webpack-merge';
import getWebpackHooks, { getHook } from './webpack-hooks';
import baseConfig from './webpack.base';
import prodConfig from './webpack.prod';
import serverBaseConfig from './webpack.server';
/** Webpack config for the server in production */
var config = function (options) {
    var webpackHooks = getWebpackHooks(options.log, options.buildConfig.BASE);
    return merge(baseConfig(options), getHook(webpackHooks.base, options), serverBaseConfig(options), getHook(webpackHooks.server, options), prodConfig(options), getHook(webpackHooks.prod, options), getHook(webpackHooks.serverProd, options));
};
export default config;
//# sourceMappingURL=webpack.server.prod.js.map