export var renderHtml = function (_a) {
    var pageTags = _a.pageTags, renderResult = _a.renderResult;
    return "<!DOCTYPE html>\n<html lang=\"en\">\n    <head>\n        <meta charset=\"utf-8\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n        " + pageTags.head.map(function (headAsset) { return headAsset.tag; }).join("\n        ") + "\n    </head>\n    <body>\n        <div id=\"root\">" + renderResult + "</div>\n        " + pageTags.body.map(function (bodyAsset) { return bodyAsset.tag; }).join("\n        ") + "\n    </body>\n</html>";
};
//# sourceMappingURL=render-html.js.map